coap_address_t Struct Reference

multi-purpose address abstraction More...

`#include <address.h>`

## Data Fields

socklen_t | size
| size of addr More...
union {
struct sockaddr sa
struct sockaddr_in sin
struct sockaddr_in6 sin6
} | addr

## Detailed Description

multi-purpose address abstraction

Definition at line 62 of file address.h.

## Field Documentation

## addr

union { ... } coap_address_t::addr

## sa

struct sockaddr coap_address_t::sa

Definition at line 65 of file address.h.

## sin

struct sockaddr_in coap_address_t::sin

Definition at line 66 of file address.h.

## sin6

struct sockaddr_in6 coap_address_t::sin6

Definition at line 67 of file address.h.

## size

socklen_t coap_address_t::size

size of addr

Definition at line 63 of file address.h.

The documentation for this struct was generated from the following file:

- address.h